<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreateTraceFailedRequestsProviderAreas extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('TraceFailedRequestsProviderAreas', [
            'description' => 'Stores provider areas for a IIS failed requests',
            'columns' => [
                'id' => self::TYPE_PRIMARY_KEY,
                'providerId' => [
                    'type' => self::TYPE_FOREIGN_KEY,
                    'foreignKey' => 'TraceFailedRequestsProviders.id',
                    'deleteCascade' => true,
                ],
                'name' => self::TYPE_STRING,
            ],
            'indexes' => [
                'name' => [
                    'type' => self::INDEX_UNIQUE,
                    'columns' => ['providerId', 'name'],
                ],
            ],
        ]);
    }
}
